Bug 661888 - Support/testing of XFS filesystem as part of RHEL HA Add On
Support/testing of XFS filesystem as part of RHEL HA Add On
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: resource-agents (Show other bugs)
6.0
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Dean Jansa
Cluster QE
: FutureFeature, TestOnly
Depends On:
Blocks: 661893 693781
  Show dependency treegraph
 
Reported: 2010-12-09 16:24 EST by Perry Myers
Modified: 2011-12-06 07:02 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
XFS filesystem failover in the Red Hat Enterprise Linux 6 High Availability Add-On is considered a Technology Preview. Note: XFS and the Scalable File System Add-On are fully-supported in Red Hat Enterprise Linux 6.
Story Points: ---
Clone Of:
: 661893 (view as bug list)
Environment:
Last Closed: 2011-12-06 07:02:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2010-12-09 16:24:33 EST
Description of problem:
XFS works as a valid filesystem in the fs resource agent, but we need to include XFS testing in the context of RHEL HA Add On to fully support it.  The existing test matrix that covers ext2/3/4 just needs to be expanded to include tests of XFS as well
Comment 1 Perry Myers 2010-12-09 16:26:13 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
For RHEL 6.0 and 6.1, usage of XFS within RHEL HA Add On is considered Technology Preview.  Full support for XFS within the RHEL HA Add On as a managed resource will be fully supported in a future release of RHEL.
Comment 3 Ryan Lerch 2011-03-07 20:56:28 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-For RHEL 6.0 and 6.1, usage of XFS within RHEL HA Add On is considered Technology Preview.  Full support for XFS within the RHEL HA Add On as a managed resource will be fully supported in a future release of RHEL.+XFS in the Red Hat Enterprise Linux 6 High Availability Add On is considered Technology Preview.
Comment 4 Sayan Saha 2011-05-22 22:25:51 EDT
Please also add the following to the above tech-note in order to avoid ambiguity with regards to the support status of XFS in general:

"Note that XFS itself is fully supported in RHEL6.0 and 6.1 and is generally
available as the Scalable File System Add-On."
Comment 5 Brian Forte 2011-05-22 22:31:20 EDT
Technical Note text tweaked to reinforce the point that XFS is supported in Red Hat Enterprise Linux 6 but is a technology preview in the High Availability Add On.
Comment 6 Brian Forte 2011-05-22 22:31:20 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-XFS in the Red Hat Enterprise Linux 6 High Availability Add On is considered Technology Preview.+XFS in the Red Hat Enterprise Linux 6 High Availability Add On is considered a Technology Preview. Note: XFS and the Scalable File System Add-On are fully-supported in Red Hat Enterprise Linux 6. XFS is a Technology Preview as part of the High Availability Add On.
Comment 7 Ryan Lerch 2011-05-22 22:43:15 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-XFS in the Red Hat Enterprise Linux 6 High Availability Add On is considered a Technology Preview. Note: XFS and the Scalable File System Add-On are fully-supported in Red Hat Enterprise Linux 6. XFS is a Technology Preview as part of the High Availability Add On.+XFS in the Red Hat Enterprise Linux 6 High Availability Add-On is considered a Technology Preview. Note: XFS and the Scalable File System Add-On are fully-supported in Red Hat Enterprise Linux 6. XFS is a Technology Preview as part of the High Availability Add-On.
Comment 8 Michael Hideo 2011-05-23 17:14:06 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-XFS in the Red Hat Enterprise Linux 6 High Availability Add-On is considered a Technology Preview. Note: XFS and the Scalable File System Add-On are fully-supported in Red Hat Enterprise Linux 6. XFS is a Technology Preview as part of the High Availability Add-On.+XFS in the Red Hat Enterprise Linux 6 High Availability Add-On is considered a Technology Preview. Note: XFS and the Scalable File System Add-On are fully-supported in Red Hat Enterprise Linux 6.
Comment 10 Ryan Lerch 2011-05-23 18:22:56 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-XFS in the Red Hat Enterprise Linux 6 High Availability Add-On is considered a Technology Preview. Note: XFS and the Scalable File System Add-On are fully-supported in Red Hat Enterprise Linux 6.+XFS filesystem failover in the Red Hat Enterprise Linux 6 High Availability Add-On is considered a Technology Preview. Note: XFS and the Scalable File System Add-On are fully-supported in Red Hat Enterprise Linux 6.
Comment 16 Corey Marthaler 2011-10-13 10:33:03 EDT
I added XFS as an option to be used with HA LVM testing. This basically places XFS on top of HA LVM mirrored volumes (where ext3 had been). Service relocation and mirror device failure test cases were then executed. Everything worked (or didn't work) as expected.
Comment 17 Nate Straz 2011-10-20 10:13:57 EDT
I ran through the HA-NFS tests with XFS backing and found no issues.
Comment 18 errata-xmlrpc 2011-12-06 07:02:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1580.html

Note You need to log in before you can comment on or make changes to this bug.